// H5 去调用App的方法
import jsBridge from "./bridge";

// 获取Token
export function getAuthToken() {
  console.log("去调用");
  return new Promise((resolve, reject) => {
    console.log("调用1");
    jsBridge.callhandler("getAuthToken", null, data => {
      console.log("调用2");
      console.log(data);
      if (data) {
        alert("获取到的token" + data);
        resolve();
      } else {
        reject("调用失败，未返回data");
      }
    });
  });
}

// 退出
export function logoutToApp() {
  jsBridge.callhandler("logout");
}
